import { Fcapp } from 'fccore2';
/**
 * 根据模型appid获取模型、模型字段、模型验证码
 * @param appId 模型id
 */
export declare function initAppData(appId: string): {
    mainObj: any;
    showListFields: string;
    showFormFields: string;
    mainApp: Fcapp;
    mainListFields: import("fccore2").Sysappfields[];
    mainFormFields: import("fccore2").Sysappfields[];
    mainValid: any;
    searchObj: import("fccore2").Sysappfields[];
};
/**
 * 根据模型appid获取子模型、模型字段、模型验证码
 * @param appId 模型id
 */
export declare function initLinkAppData(appId: string): any;
/**
 * 根据模型appid获取子模型、模型字段、模型验证码
 * @param appId 模型id
 */
export declare function initLinkApp(mainApp: Fcapp): any;
/**
 * 获取对象的初始化值
 * @param appId 模型编码
 */
export declare function initObjDefaultValue(appId: string): any;
/**
 * 初始化校验规则
 * @param mainFields 所有字段
 */
export declare function initValid(mainFields: any[]): any;
/**
 * 对日期处理，把时间戳修改为日期格式
 */
export declare function initValue(mainObj: any, mainFields: any[]): void;
/**
 * 对日期处理，把日期时间格式修改为时间戳
 */
export declare function processValue(mainObj: any, mainFields: any[]): any;
/**
 * 验证
 */
export declare function validator(mainObj: any, mainValid: any, checkKey?: string): boolean;
/**
 * 保存新建
 * @param mainApp 当前元数据
 * @param mainObj 当前对象
 * @param mainValid 校验规则
 * @param mainFields 当前元数据字段
 * @param beforeSave 保存校验是否通过的回调方法
 * @param afterSave 保存之后的处理方法
 */
export declare function saveNew(mainApp: any, mainObj: any, mainValid: any, mainFields: any[], beforeSave: () => boolean, afterSave: (result: any) => void, pthis: any): void;
/**
 * 保存复制
 * @param mainApp 当前元数据
 * @param mainObj 当前对象
 * @param mainValid 校验规则
 * @param mainFields 当前元数据字段
 * @param beforeSave 保存校验是否通过的回调方法
 * @param afterSave 保存之后的处理方法
 */
export declare function cardSaveCopy(mainApp: any, mainObj: any, mainValid: any, mainFields: any[], beforeSave: () => boolean, afterSave: (result: any) => void, pthis: any): void;
/**
 * 保存复制
 * @param mainApp 当前元数据
 * @param mainObj 当前对象
 * @param mainValid 校验规则
 * @param mainFields 当前元数据字段
 * @param beforeSave 保存校验是否通过的回调方法
 * @param afterSave 保存之后的处理方法
 */
export declare function cardSave(mainApp: any, mainObj: any, mainValid: any, mainFields: any[], beforeSave: () => boolean, afterSave: (result: any) => void, pthis: any): void;
/**
 * 保存返回方法
 * @param mainApp 当前元数据
 * @param mainObj 当前对象
 * @param mainValid 校验规则
 * @param mainFields 当前元数据字段
 * @param beforeSave 保存校验是否通过的回调方法
 * @param afterSave 保存之后的处理方法
 * @param cardBack 调用返回方法
 */
export declare function cardSaveBack(mainApp: any, mainObj: any, mainValid: any, mainFields: any[], beforeSave: () => boolean, afterSave: (result: any) => void, cardBack: () => void, pthis: any): void;
/**
 * 修改为某个模型属性的值
 * @param mainObj 对象
 * @param fieldCode 属性名称
 * @param value 属性值
 */
export declare function setFieldValue(mainObj: any, fieldCode: string, value: any): any;
